Authorise a charge

A charge is created by issueing a POST request to the /charges collection. For the charge to be authorised the request must be approved by the customer. To allow merchants to make the checkout process more frictionless, it is possible to provide an access_token for the customer accounts as a part of the request. The access_token is to be provided in the Authorization header in the HTTPS request.

Calls to create a Charge may supply a reference number that is specific to the merchant as a way to reconcile charges across systems.

Body Params
string
required

Amount of this charge. This is the amount that will be transferred (if capture=true) from customer to merchant account or ring-fenced if capture=false. The value is provided as a string containing a numeric value in a format that is appropriate for the provided currency code. (eg; "100.00" or "100" when capturing an amount in "aud")

boolean
required

Whether to immediately capture the charge. When 'false', the charge issues an authorization (or pre-authorization) that will need to be captured later. Uncaptured charges may be expired depending on your merchant agreement.

string
required

Three-letter ISO currency code, in lowercase. Only "aud" is supported at present.

string

An arbitrary string which you can attach to a 'Charge' this will appear in the user's Account Activity. A clear charge description helps reduce customer confusion about why they have been charged.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format that is available when retrieving the charge later.

string

The checkout id. Checkout is optional in the payment flow.

string
required

The Zip merchant_id that the funds should be settled against.

string
required

The customer's account_id that the funds should be charged against.

string

The caller can specify a unique identifier for the charge to reconcile the charge against their own systems.

Headers
string

When same operation is tried again, if you pass the Idempotency-Key we map to the same transaction to avoid duplicate

string
enum
Defaults to application/vnd.zipco.v3+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.zipco.v3+json
application/vnd.zipco.v3.problem+json